require 'lunatest'

ut = require( 'udunits2' )
uts = require( 'udunits2.system' )

function error_message_handler (msg)
   error(msg)
end

function read_xml()

   local handler = ut.set_error_message_handler( 'ignore' )

   local system = uts.read_xml( )

   ut.set_error_message_handler( handler )

   return system
end


function setup( )

   ut.set_error_message_handler( error_message_handler )

end

tests = {
   'udunits_functions',
   'system_functions',
   'system_methods',
   'unit',
   'example'
}

for _, v in pairs(tests) do
   lunatest.suite( v )
end

lunatest.run()
